﻿Type=StaticCode
Version=1.60
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Dim Sprog As Map
End Sub

Sub File_init(Lf As String)
	sprog.Initialize
	If File.Exists(File.DirAssets, lf) Then
		Sprog = File.ReadMap(File.DirAssets,lf)
	Else
		Log("Language file : " & lf & " missing.")
	End If
End Sub


'
'	If there isnt any Translation the original is keept
'
Sub ObjTo(v As View)
		
	If v Is CheckBox Then
		Dim c As CheckBox
		c = v
		If Sprog.ContainsKey(c.Tag) Then c.Text = Sprog.Get(c.Tag)
				
	Else If v Is RadioButton Then
			Dim r As RadioButton
			r = v
			If Sprog.ContainsKey(r.Tag) Then r.Text = Sprog.Get(r.Tag)
			
	Else If v Is ToggleButton Then
			Dim t As ToggleButton
			t = v
			If Sprog.ContainsKey(t.Tag & "1") Then t.Texton = Sprog.Get(t.Tag & "1")
			If Sprog.ContainsKey(t.Tag & "0") Then t.Textoff = Sprog.Get(t.Tag & "0")
			
	Else If v Is Label Then
			Dim l As Label
			l = v
			If Sprog.ContainsKey(l.Tag) Then l.Text = Sprog.Get(l.Tag)
			
	End If

End Sub

Sub ThisPanel(v As View)
	Dim p As Panel
	p = v
	If p.NumberOfViews > 0 Then
		For i = 0 To p.NumberOfViews-1 
			If p.GetView(i) Is Panel Then
				ThisPanel(p.GetView(i))
			Else
				ObjTo(p.GetView(i))
			End If
		Next
	End If
End Sub

Sub ThisActivity(A As Activity)
	If A.NumberOfViews > 0 Then
		For i = 0 To A.NumberOfViews-1
			If A.GetView(i) Is Panel Then 
				ThisPanel(A.GetView(i))
			Else
				ObjTo(A.GetView(i))
			End If
		Next
	End If
End Sub